JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.devices.apps.delete('packageName', { deviceId: 'deviceId' });import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.apps.delete(
package_name="packageName",
device_id="deviceId",
)package main
import (
"context"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Devices.Apps.Delete(
context.TODO(),
"packageName",
mobileruncloud.DeviceAppDeleteParams{
DeviceID: "deviceId",
},
)
if err != nil {
panic(err.Error())
}
}mobilerun-cloud devices:apps delete \
--api-key 'My API Key' \
--device-id deviceId \
--package-name packageNamecurl --request DELETE \
--url https://api.mobilerun.ai/devices/{deviceId}/apps/{packageName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Apps
Delete app
Uninstalls the app identified by the path package name from the device. Protected packages cannot be deleted.
DELETE
/
devices
/
{deviceId}
/
apps
/
{packageName}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.devices.apps.delete('packageName', { deviceId: 'deviceId' });import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.apps.delete(
package_name="packageName",
device_id="deviceId",
)package main
import (
"context"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Devices.Apps.Delete(
context.TODO(),
"packageName",
mobileruncloud.DeviceAppDeleteParams{
DeviceID: "deviceId",
},
)
if err != nil {
panic(err.Error())
}
}mobilerun-cloud devices:apps delete \
--api-key 'My API Key' \
--device-id deviceId \
--package-name packageNameOn Android, the path parameter is the package name (e.g.
com.example.app); on iOS, pass the app’s bundle identifier instead.
Deleting an app does not touch your app library — an uploaded APK stays there, so you can reinstall the app later with install-app.
Requests targeting a protected package fail with 403 Forbidden.Was this page helpful?
⌘I